package com.its.op.dao.mapper.its.statistics;

import com.its.op.dto.its.statistics.TrafficSpecParam;
import com.its.op.dto.its.statistics.TrafficStatDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface TrafficSpecStatisticsMapper {

    // 지정시각 거색 - 15분, 시간(링크, 서비스링크, 도로)
    List<TrafficStatDto> findAllLink15M(@Param("cond") TrafficSpecParam cond);
    List<TrafficStatDto> findAllLinkHH(@Param("cond") TrafficSpecParam cond);

    List<TrafficStatDto> findAllIfsc15M(@Param("cond") TrafficSpecParam cond);
    List<TrafficStatDto> findAllIfscHH(@Param("cond") TrafficSpecParam cond);

    List<TrafficStatDto> findAllRoad15M(@Param("cond") TrafficSpecParam cond);
    List<TrafficStatDto> findAllRoadHH(@Param("cond") TrafficSpecParam cond);

}
